From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: gnome-extra/libgda/
Date: Sat, 19 Sep 2020 20:38:28 +0000 (UTC) [thread overview]
Message-ID: <1600547903.bf6e7867c127e47f96d8a2e446219b474243d394.pacho@gentoo> (raw)
commit: bf6e7867c127e47f96d8a2e446219b474243d394
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 19 20:38:14 2020 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Sep 19 20:38:23 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf6e7867
gnome-extra/libgda: Bump to 5.2.9
Also drop gnome-doc-utils deps
Closes: https://bugs.gentoo.org/726824
Package-Manager: Portage-3.0.7, Repoman-3.0.1
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
| 1 +
| 150 +++++++++++++++++++++++++++++++++
2 files changed, 151 insertions(+)
--git a/gnome-extra/libgda/Manifest b/gnome-extra/libgda/Manifest
index bf631978e8b..7802d82407f 100644
--- a/gnome-extra/libgda/Manifest
+++ b/gnome-extra/libgda/Manifest
@@ -1 +1,2 @@
DIST libgda-5.2.8.tar.xz 12506208 BLAKE2B 7174aa862f04ec6c73fe98560914ee307afe75b9713adad70fa7dedf97fd4ddb79c98ad1e9a8919218f7453014d8e71e42730e168fae7c6ca0dc58ae99b0558e SHA512 6512d08df072dfc10837b71b2369ab538fa8bf0cdac51ecbb738a138f5b765f030fc7a88b14232eaab2724af8e749898da146bb63969983d3bcfeb11bc22aece
+DIST libgda-5.2.9.tar.xz 12619160 BLAKE2B b82c304f6054a1de24b72e688fc03a7a9b416f14f47c95087c4901b7bce0ea5c642667feb14f1701bc62403359c752f3f5b121a697316340829af64b83fb7980 SHA512 a28324533298d42aacfce5d9f3d699314ddb5d5fe7e492433dbbe4232fb310b798d312ac08dffd4f4ebef5ceea3c6c49ef3c679ab97b5e9d1f64e3fed50b2231
--git a/gnome-extra/libgda/libgda-5.2.9.ebuild b/gnome-extra/libgda/libgda-5.2.9.ebuild
new file mode 100644
index 00000000000..73305fd1f2f
--- /dev/null
+++ b/gnome-extra/libgda/libgda-5.2.9.ebuild
@@ -0,0 +1,150 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_LA_PUNT="yes"
+GNOME2_EAUTORECONF="yes"
+VALA_USE_DEPEND="vapigen"
+
+inherit db-use eutils flag-o-matic gnome2 java-pkg-opt-2 vala
+
+DESCRIPTION="GNOME database access library"
+HOMEPAGE="https://www.gnome-db.org/"
+LICENSE="GPL-2+ LGPL-2+"
+
+IUSE="berkdb canvas debug firebird gnome-keyring gtk graphviz http +introspection json ldap mdb mysql oci8 postgres sourceview ssl vala"
+REQUIRED_USE="
+ canvas? ( gtk )
+ graphviz? ( gtk )
+ sourceview? ( gtk )
+ vala? ( introspection )
+"
+# firebird license is not GPL compatible
+
+SLOT="5/4" # subslot = libgda-5.0 soname version
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="
+ app-text/iso-codes
+ >=dev-libs/glib-2.32:2
+ >=dev-libs/libxml2-2
+ dev-libs/libxslt
+ sys-libs/readline:0=
+ sys-libs/ncurses:0=
+ berkdb? ( sys-libs/db:* )
+ firebird? ( dev-db/firebird )
+ gnome-keyring? ( app-crypt/libsecret )
+ gtk? (
+ >=x11-libs/gtk+-3.0.0:3
+ canvas? ( x11-libs/goocanvas:2.0= )
+ sourceview? ( x11-libs/gtksourceview:3.0 )
+ graphviz? ( media-gfx/graphviz )
+ )
+ http? ( >=net-libs/libsoup-2.24:2.4 )
+ introspection? ( >=dev-libs/gobject-introspection-1.30:= )
+ json? ( dev-libs/json-glib )
+ ldap? ( net-nds/openldap:= )
+ mdb? ( >app-office/mdbtools-0.5:= )
+ mysql? ( dev-db/mysql-connector-c:0= )
+ postgres? ( dev-db/postgresql:= )
+ ssl? ( dev-libs/openssl:0= )
+ >=dev-db/sqlite-3.10.2:3=
+ vala? ( dev-libs/libgee:0.8 )
+"
+
+# java dep shouldn't rely on slots, bug #450004
+# TODO: libgee shouldn't be needed at build with USE=-vala, but needs build system fixes - bug 674066
+DEPEND="${RDEPEND}
+ dev-libs/libgee:0.8
+ app-text/yelp-tools
+ dev-util/glib-utils
+ dev-util/gtk-doc-am
+ >=dev-util/intltool-0.40.6
+ virtual/pkgconfig
+ java? ( >=virtual/jdk-1.6 )
+ vala? ( $(vala_depend) )
+"
+
+# FIXME: lots of tests failing. Check if they still fail in 5.1.2
+# firebird support bindist-restricted because it is not GPL compatible
+RESTRICT="
+ test
+ firebird? ( bindist )
+"
+
+pkg_setup() {
+ java-pkg-opt-2_pkg_setup
+}
+
+src_prepare() {
+ use berkdb && append-cppflags "-I$(db_includedir)"
+
+ # They need python2
+ sed -e '/SUBDIRS =/ s/trml2html//' \
+ -e '/SUBDIRS =/ s/trml2pdf//' \
+ -i libgda-report/RML/Makefile.{am,in} || die
+
+ # Prevent file collisions with libgda:4
+ eapply "${FILESDIR}/${PN}-4.99.1-gda-browser-doc-collision.patch"
+ eapply "${FILESDIR}/${PN}-4.99.1-control-center-icon-collision.patch"
+ # Move files with mv (since epatch can't handle rename diffs) and
+ # update pre-generated gtk-doc files (for non-git versions of libgda)
+ local f
+ for f in tools/browser/doc/gda-browser* ; do
+ mv ${f} ${f/gda-browser/gda-browser-5.0} || die "mv ${f} failed"
+ done
+ for f in tools/browser/doc/html/gda-browser.devhelp* ; do
+ sed -e 's:name="gda-browser":name="gda-browser-5.0":' \
+ -i ${f} || die "sed ${f} failed"
+ mv ${f} ${f/gda-browser/gda-browser-5.0} || die "mv ${f} failed"
+ done
+ for f in control-center/data/*_gda-control-center.png ; do
+ mv ${f} ${f/_gda-control-center.png/_gda-control-center-5.0.png} ||
+ die "mv ${f} failed"
+ done
+
+ gnome2_src_prepare
+ java-pkg-opt-2_src_prepare
+ use vala && vala_src_prepare
+}
+
+src_configure() {
+ # Upstream broken configure handling for UI library introspection and vala bindings if passing a choice with use_enable - https://gitlab.gnome.org/GNOME/libgda/issues/158
+ # But if we don't pass an explicit choice, it behaves as we need (only enable them if --enable-ui AND the appropriate --enable-introspection or --enable-vala)
+ gnome2_src_configure \
+ --with-help \
+ --disable-default-binary \
+ --disable-static \
+ --enable-system-sqlite \
+ $(use_with berkdb bdb /usr) \
+ $(use_with canvas goocanvas) \
+ $(use_enable debug) \
+ $(use_with firebird firebird /usr) \
+ $(use_with gnome-keyring libsecret) \
+ $(use_with graphviz) \
+ $(use_with gtk ui) \
+ $(use_with http libsoup) \
+ $(use_enable introspection) \
+ "$(use_with java java $JAVA_HOME)" \
+ $(use_enable json) \
+ $(use_with ldap) \
+ --with-ldap-libdir-name="$(get_libdir)" \
+ $(use_with mdb mdb /usr) \
+ $(use_with mysql mysql /usr) \
+ $(use_with oci8 oracle) \
+ $(use_with postgres postgres /usr) \
+ $(use_enable ssl crypto) \
+ $(use_with sourceview gtksourceview) \
+ $(use_enable vala)
+}
+
+pkg_preinst() {
+ gnome2_pkg_preinst
+ java-pkg-opt-2_pkg_preinst
+}
+
+src_install() {
+ gnome2_src_install
+ # Use new location
+ mv "${ED}"/usr/share/appdata "${ED}"/usr/share/metainfo || die
+}
next reply other threads:[~2020-09-19 20:38 UTC|newest]
Thread overview: 33+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-09-19 20:38 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-01 19:26 [gentoo-commits] repo/gentoo:master commit in: gnome-extra/libgda/ Andreas K. Hüttel
2024-10-29 22:13 Sam James
2024-10-29 15:39 Sam James
2023-05-29 21:25 Sam James
2023-05-18 12:17 Andreas Sturmlechner
2022-12-12 21:06 James Le Cuirot
2022-12-12 17:52 Arthur Zamarin
2022-12-12 1:59 Sam James
2022-11-19 1:44 Matt Turner
2022-11-19 1:44 Matt Turner
2022-10-30 22:29 Matt Turner
2022-04-16 12:25 Yixun Lan
2021-04-21 18:51 Sam James
2020-10-03 16:06 Pacho Ramos
2020-09-19 20:04 Pacho Ramos
2019-02-11 18:25 Brian Evans
2018-12-31 21:49 Mart Raudsepp
2018-12-30 11:28 Mart Raudsepp
2018-12-28 16:24 Mart Raudsepp
2018-12-28 11:06 Mart Raudsepp
2018-11-13 22:08 Mart Raudsepp
2018-11-13 20:29 Craig Andrews
2017-11-26 23:02 David Seifert
2017-02-15 20:38 Mart Raudsepp
2016-10-08 9:51 Pacho Ramos
2016-03-06 18:58 Mikle Kolyada
2016-02-08 9:54 Patrick Lauer
2016-02-01 21:05 Pacho Ramos
2016-01-03 16:03 Gilles Dartiguelongue
2015-12-26 5:39 Dennis Lamm
2015-09-07 21:11 Mikle Kolyada
2015-08-31 0:22 Alexandre Rostovtsev
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1600547903.bf6e7867c127e47f96d8a2e446219b474243d394.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox